p {
    color: #e6e6e6; 
    font-size: 15px;
    font-family: "Montserrat", sans-serif;
}
body{
    background-color: #32323c;
    font-family: "Montserrat",sans-serif;
}
h1 {
    font-size: 2.5rem;
    color: #e6e6e6;
    margin-bottom: 10px;
}
h2{
    font-size: 1.4rem;
    color: #b0b0b8;
}

.chapter-sec {
    background-color: rgba(255, 255, 255, 0.05);
    border-radius: 5px; 
    padding: 20px;
    margin: 80px auto;
    max-width: 800px;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
}
.chapter-sec h2 {
    font-family: "Montserrat", sans-serif;
    font-size: 24px;
    color: #e6e6e6;
    margin-bottom: 20px;
    border-bottom: 2px solid #e6e6e6 ;
    display: inline-block;
    padding-bottom: 5px;
}

.chapter-sec p {
    font-family: "Montserrat", sans-serif;
    font-size: 18px;
    color: #e6e6e6;
    line-height: 1.6;
    margin: 0;

}


/*Navigation Styles*/
nav{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 10px 0;
    z-index: 1000;
    background-color: rgb(50, 50, 60, 0.95);
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
}
nav ul{
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

nav li{
    margin: 0 15px;
}

nav a {
    font-family: "Montserrat", sans-serif;
    font-size: 16px;
    color: #e6e6e6;
    text-decoration: none;
    transition: color 0.3s, border-bottom 0.3s;
    padding-bottom: 5px;
    position: relative;
}
nav a:hover{
    color: #1b1b20;
    border-bottom: 2px solid #e6e6e6;
}

/*Header section styles*/
.container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
    height: 100vh;
    box-sizing: border-box;
    text-align: center;
    
    padding-top: 60px;
    background-image: url("assets/images.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
}
.container::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.25);
    z-index: 0;
}
.header-content, 
.button-container {
    position: relative;
    z-index: 1;

}

button {
    text-transform: uppercase;
    position: relative;
    border: none;
    font-size: 18px;
    transition: color 0.3s;
    background-color: #e6e6e6 transparent;
    color: #444444;
    outline: none;
    border-radius: 3px;
    margin: 0 10px;
    padding: 23px 33px;
    border: 3px solid transparent;
    cursor: pointer;
}

.shrink-border{
    background-color: transparent;
    color: #d3d3d3;
}
.shrink-border:hover{
    color: #e6e6e6;
}
.shrink-border:hover::before{
    opacity: 0;
}
.shrink-border::after{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 3px solid #e6e6e6;
    border-radius: 3px;
    opacity: 1;
    z-index: -1;
    transform: scale(1);
    transition: transform 0.3s, opacity 0.3s;
}
.shrink-border:hover::after{
    opacity: 0;
    transform: scaleX(1.1) scaleY(1.3);
}

/*Footer*/

footer{
    background-color: #1b1b20;
    color: #e6e6e6;
    display: flex;
    justify-content: center;
    box-sizing: border-box;
    margin-top: 5vw;
    padding: 20px;
}

.footer-content{
    text-align: center;
    max-width: 1200px;
    margin: 0;
}


.footer-links{
    display: flex;
    justify-content: center;
    gap: 20px;
    list-style-type: none;
    padding: 0;

}

.footer-links a{
    color:#e6e6e6;
    text-decoration: none;
    transition: color 0.3s;
}

.footer-links a:hover{
    color:#2b6789;
    text-decoration: none;
    transition: color 0.3s;
}

.footer-social{
    margin-top: 0;
}
.footer-social a{
    color: #e6e6e6;
    font-size: 24px;
    margin: 0 10px;
    text-decoration: none;
    transition: color 0.3s;
}

.footer-social a:hover{
    color:#2b6789;
    transition: color 0.3s;
}

/*Gallery section*/
#main-gallery-container{
    margin-top: 50px;
}
#gallery{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    width: 75vw;
    margin: 20px auto;
}
figure {
    margin: 10px;
    padding: 0;
    position: relative;
}
figure img{
    width: 100%;
}
#gallery img{
    display: block;
    position: relative;
    width: 100%;
    box-sizing: border-box;
}
figcaption{
    background-color: rgba(255, 255, 255, 0.5);
    width: 100%;
    text-align: center;
    color: #5e423f;
    z-index: 1;
    padding: 9px 0px 11px 0px;
    font-size: 15px;
    position: absolute;
    bottom: 6px;
}
table{
    margin: 20px;
}

@media screen and (max-width: 600px){
    figcaption{
        font-size: 3vw;
    }
    #gallery{
        grid-template-columns: 1fr;
        width: 90vw;
    }
}
.contact{
    background-color: rgba(255, 255, 255, 0.05);
    padding: 20px;
    margin: 80px auto;
    max-width: 800px;
    margin-bottom: 40vh;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
}
.contact h2{
    font-family: "Montserrat", sans-serif;
    font-size: 24px;
    color: #e6e6e6;
    margin-bottom: 20px;
    display: inline-block;
    padding-bottom: 5px;
}
.contact form{
    font-family: "Montserrat", sans-serif;
}
.contact input {
    font-family: "Montserrat", sans-serif;
    font-size: 18px;
    color: #848484;
    line-height: 1.6;
    margin: 0;
}

/*Custom table styles*/

.custom-table {
    width: 100%;
    border-collapse: collapse;
}
.custom-table th, .custom-table td{
    padding: 10px;
    border: 1px solid #e6e6e6;
}
.light-text {
    color: #bbb;
}
.table-heading-text{
    color: #2bdfff;
}
/*About us section*/

.two-column-container {
    display: flex;
    justify-content: space-between;
    margin: 100px 0px 50px 70px;
}
.column{
    flex-basis: 48%;

}
.column img{
    width: 100%;
}
.about-section{
    background-color: rgba(255, 255, 255, 0.05);
    padding: 20px;
    max-width: 800px;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
}
.about-section h2{
   font-family: "Montserrat", sans-serif; 
   font-size: 24px;
   color: #e6e6e6;
   border-bottom: 2px solid #e6e6e6;
   display: inline-block;
   margin-bottom: 20px;
   padding-bottom: 5px;
}
.about-section p{
    font-family: "Montserrat", sans-serif;
    font-size: 12px;
    color: #e6e6e6;
    line-height: 1.6;
    margin: 0;
}
.call-to-action{
    background-color: rgba(75, 186, 253, 0.17);
    text-align: center;
    padding: 50px 20px;
}
/*Button Allignment for Tours Page*/

.tour-button{
    align-self: flex-end;
    text-transform: uppercase;
    font-family: "Montserrat", sans-serif;
    color: #fff;
    background-color: #1b1b20;
    border: none;
    padding: 10px 20px;
    cursor: pointer;
    transition: background-color 0.3s;
}

/*Tou Section Styles*/
.tour-button-container{
    text-align: right;
    margin-top: 10px;
}
.tour-button:hover{
    background-color: #2b6289;
}